<?php
    use PFBC\Form;
    use PFBC\Element;
    use PFBC\View;
    use PFBC\Validation;
    use documongo\MongoObject\Document;
    use documongo\MongoObject\DocumentType;
    use pagecontrol\PageController\Herzen\Render\PdfListRender;

    require_once('lib/frole.php');
    $role = new Role();
    $role->isPageEnable($user->uuid);

    require_once("lib/fconnect.php");
    $db = DBConnect::getInstance();

    $pdfListRender = new PdfListRender();

?>
<!doctype html>
<html lang="ru">
<head>
<meta charset="utf-8" />
<title><?=$this->title?></title>
<link rel="stylesheet" href="/css/jquery-ui.css" />

<script src="/js/jquery-1.9.1.js"></script>
<script src="/js/jquery-ui.js"></script>
<script src="/js/jquery.form.js"></script>

<link type="text/css" rel="stylesheet" href="/css/bootstrap-combined.min.css">
<script src="/js/bootstrap.min.js"></script>
<link rel="stylesheet" href="/css/base.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/member.form.css?rand=<?=rand();?>" />
<link rel="stylesheet" href="/css/admin.css" />
<link rel="stylesheet" href="/css/navigation__horizontal.css" />

<link rel="stylesheet" href="/css/colors.css">
<link rel="stylesheet" href="/css/buttons.css">
<link rel="stylesheet" href="/css/positions.css">

<link rel="stylesheet" href="/css/messages.css" />

<script src="/js/upload.js"></script>


  <script src="/js/auth.js"></script>
  <script>
    var language = "<?=$language?>";
    var pageType = "<?=$pageType?>";

  </script>
</head>

<body>


<header class="header gradient">
  <div class="header__logo">
    <img src="/images/herzen.png" />
  </div>
  <div class="header__headings">
    <h1 class="header__headings__heading">
      <?=$this->title?>
    </h1>
    <h2 class="header__headings__subheading">
      <small class="header__headings__subheading__subsubheading">
        <?=$this->subtitle?>
      </small>
    </h2>
  </div>

  <div class="userbox userbox_parent_header">
    <div class="userbox__controls">
      <span class="userbox__controls__profile">профиль</span> / <span class="userbox__controls__logout">выход</span>
    </div>
    <div class="userbox__username">
        <span class="userbox__username__displayname" data-uuid="<?=$this->user->uuid?>"><?=$this->user->givenname?> <?=$this->user->lastname?></span>
    </div>
  </div>

  <div class="header__helper"></div>
</header>

<div>
	<?php
echo $role->userMenu($user->uuid, $db);
	?>
</div>


<!-- CURRENT PAGE -->
<div class="container container-center">

<h3><?=$this->title?> <br/> <small><?=$this->subtitle?></small></h3>

<?php

$faculty_type_links = array(
    array(
      "id" => "faculty_type_total",
      "title_ru" => 'Общий рейтинг институтов, факультетов и филиалов',
    ),
    array(
      "id" => "faculty_type_k",
      "title_ru" => 'Рейтинг институтов, факультетов и филиалов<br/><small class="muted">проректор по учебной работе В. З. Кантор</small>',
    ),
    array(
      "id" => "faculty_type_r",
      "title_ru" => 'Рейтинг институтов, факультетов и филиалов<br/><small class="muted">проректор по учебной работе В. А. Рабош</small>',
    ),
);

$chair_type_links = array(
    array(
      "id" => "chair_type_total",
      "title_ru" => 'Общий рейтинг кафедр университета',
    ),
    array(
      "id" => "chair_type_e",
      "title_ru" => 'Рейтинг кафедр естественнонаучного профиля',
    ),
    array(
      "id" => "chair_type_g",
      "title_ru" => 'Рейтинг кафедр гуманитарного профиля',
    ),
    array(
      "id" => "chair_type_t",
      "title_ru" => 'Рейтинг кафедр творческого профиля',
    ),
);
?>

<div class="row">
  <div class="span7">
    <ul class="nav nav-tabs nav-stacked">
      <li class="nav-header">Рейтинг институтов, факультетов и филиалов</li>
      <?=$pdfListRender->render($role->getRoles($user->uuid), $db, $user, $faculty_type_links)?>
    </ul>
  </div>
  <div class="span5">
    <ul class="nav nav-tabs nav-stacked">
      <li class="nav-header">Рейтинг кафедр</li>
      <?=$pdfListRender->render($role->getRoles($user->uuid), $db, $user, $chair_type_links)?>
    </ul>
  </div>
</div>

</div>
</body>
</html>
